function stair_z(depths,interval_levels,linsty)
%draws a constant-layer curve as a well log.
%depths: interface depths
%interval_levels: interval_levels(i) prevails between depths(i) and depths(i+1). 
%Test-criterion: length(interval_levels)>=length(depths)-1
if length(interval_levels) < length(depths)-1
   keyboard
   error('too few interval levels')
end
N_intervals = length(depths-1);
z_plot = [depths(:),depths(:)]';
z_plot = z_plot(2:2*N_intervals-1);
x_plot = [interval_levels(:),interval_levels(:)]';
x_plot = x_plot(:);
plot(x_plot,z_plot,linsty)
axis ij; xlim=get(gca,'xlim'); set(gca,'xlim',[xlim(1)-0.1*(xlim(2)-xlim(1)),xlim(2)+0.1*(xlim(2)-xlim(1))])